local StoneGateV6 = ...

-- Register all stone gate set building parts and their properties
StoneGateV6:dofile("scripts/basicSmallGate.lua")
StoneGateV6:dofile("scripts/hoarding.lua")
StoneGateV6:dofile("scripts/machicolation.lua")
StoneGateV6:dofile("scripts/basicCircularTower.lua")
StoneGateV6:dofile("scripts/basicAngle45.lua")
StoneGateV6:dofile("scripts/basicSmallCircularTower.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueKeep.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueMain.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueSmallSquaredTower.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueOctogonalTower.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueMachicolation.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueSmallGate.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueCircularTower.lua")

-- Register the stone gate set monument
StoneGateV6:override({
    Id = "STONE_GATE_V5_MONUMENT",
    BuildingPartSetList = {
                Action = "APPEND",
		{
			Name = StoneGateSetPrefix .. "_SGATE_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_SGATE_ROOT_PART",
		            StoneGateSetPrefix .. "_SGATE_EXT_ROOT_PART",
		            StoneGateSetPrefix .. "_SGATE_HALF_ROOF_PART",
		            StoneGateSetPrefix .. "_SGATE_ROOTP_PART",
		            StoneGateSetPrefix .. "_SGATE_EXT_ROOTP_PART",
		            StoneGateSetPrefix .. "_SGATE_HALF_ROOFP_PART",
		            StoneGateSetPrefix .. "_SGATE_RAMPART_A_PART",
		            StoneGateSetPrefix .. "_SGATE_RAMPART_CLOSING_L_PART",
		            StoneGateSetPrefix .. "_SGATE_RAMPART_CLOSING_R_PART"
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_CIRCULAR_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_CIRCULAR_ROOT_PART",  -- with stone floor
		            StoneGateSetPrefix .. "_CIRCULAR_ROOTB_PART", -- with wooden floor
		            StoneGateSetPrefix .. "_CIRCULAR_ROOF_PART",
		            StoneGateSetPrefix .. "_CIRCULAR_RAMPART_PART", -- all sides
		            StoneGateSetPrefix .. "_CIRCULAR_RAMPART_B_PART", -- one side
		            StoneGateSetPrefix .. "_CIRCULAR_MACHICOLATION_A_PART",
		            StoneGateSetPrefix .. "_CIRCULAR_MACHICOLATION_B_PART",
		            StoneGateSetPrefix .. "_CIRCULAR_HOARDING_PART"
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_A45_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_A45_ROOT_PART",  -- with stone floor
		            StoneGateSetPrefix .. "_A45_ROOTP_PART", -- with wooden floor
--		            StoneGateSetPrefix .. "_A45_ROOF_PART",
		            StoneGateSetPrefix .. "_A45_RAMPART_A_PART"--[[,
		            StoneGateSetPrefix .. "_A45_MACHICOLATION_A_PART",
		            StoneGateSetPrefix .. "_A45_MACHICOLATION_B_PART",
		            StoneGateSetPrefix .. "_A45_HOARDING_PART"]]
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_SCT_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_SCT_ROOT_PART",  -- with stone floor
		            StoneGateSetPrefix .. "_SCT_ROOTP_PART", -- with wooden floor
		            StoneGateSetPrefix .. "_SCT_RAMPART_A_PART", -- full circle
		            StoneGateSetPrefix .. "_SCT_RAMPART_B_PART" -- half circle
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_BLUE_ROOFS_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_MAIN_BLUE_ROOF_D_PART", -- Closed roof
		            StoneGateSetPrefix .. "_MAIN_BLUE_ROOF_A_PART", -- Opened roof
		            StoneGateSetPrefix .. "_MAIN_BLUE_ROOF_B_PART", -- half opened roof 1
		            StoneGateSetPrefix .. "_MACHICOLATION_MAIN_BLUE_ROOF_D_PART",
		            StoneGateSetPrefix .. "_KEEP_BLUE_ROOF_C_PART", -- Closed roof
		            StoneGateSetPrefix .. "_KEEP_BLUE_ROOF_D_PART", -- 1 side opened
		            StoneGateSetPrefix .. "_KEEP_BLUE_ROOF_B_PART", -- 2 opposite sides opened
		            StoneGateSetPrefix .. "_KEEP_BLUE_ROOF_E_PART", -- 2 adjacent sides opened
		            StoneGateSetPrefix .. "_KEEP_BLUE_ROOF_A_PART", -- 3 sides opened
		            StoneGateSetPrefix .. "_KEEP_BLUE_ROOF_F_PART", -- all sides opened
		            StoneGateSetPrefix .. "_MACHICOLATION_KEEP_BLUE_ROOF_C_PART",
		            StoneGateSetPrefix .. "_SST_BLUE_ROOF_A_PART", -- Closed roof
		            StoneGateSetPrefix .. "_SST_BLUE_ROOF_B_PART",  -- 1 side opened roof
		            StoneGateSetPrefix .. "_MACHICOLATION_SST_BLUE_ROOF_A_PART", -- Closed roof
		            StoneGateSetPrefix .. "_MACHICOLATION_SST_BLUE_ROOF_B_PART",  -- 1 side opened roof
		            StoneGateSetPrefix .. "_SGATE_MACHICOLATION_STONE_BLUE_ROOF_A_PART",
		            StoneGateSetPrefix .. "_OTOWER_BLUE_ROOF_PART",
		            StoneGateSetPrefix .. "_OTOWER_MACHICOLATION_BLUE_ROOF_PART",
		            StoneGateSetPrefix .. "_SGATE_HALF_BLUE_ROOF_PART",
		            StoneGateSetPrefix .. "_SGATE_HALF_BLUE_ROOFP_PART",
		            StoneGateSetPrefix .. "_CIRCULAR_BLUE_ROOF_PART",
		            "STONE_GATE_V5_DECORATION_BALCONY3_PART",
		            "STONE_GATE_V5_DECORATION_LUCARNE3_PART",
		            "STONE_GATE_V5_DECORATION_TURRET3_PART"
                        }
                }
    },
    MaterialSetList = {
            {
                SetName = "STONE_GATE_V5_RED_ROOF", -- default materials
                MaterialList = {
            Action = "APPEND",
                    StoneGateSetPrefix .. "_CIRCULAR_RED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_RED_ROOF_MATERIAL"
                }
            },
            {
                SetName = "STONE_GATE_V5_BLUE_ROOF",
                MaterialList = {
            Action = "APPEND",
                    StoneGateSetPrefix .. "_CIRCULAR_BLUE_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_BLUE_ROOF_MATERIAL"
                }
            },
            {
                SetName = "STONE_GATE_V5_BROWN_ROOF",
                MaterialList = {
            Action = "APPEND",
                    StoneGateSetPrefix .. "_CIRCULAR_BROWN_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_BROWN_ROOF_MATERIAL"
                }
            },
            {
                SetName = "STONE_GATE_V5_GREY_ROOF",
                MaterialList = {
            Action = "APPEND",
                    StoneGateSetPrefix .. "_CIRCULAR_GREY_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_GREY_ROOF_MATERIAL"
                }
            },
            {
                SetName = "STONE_GATE_V5_GREY2_ROOF",
                MaterialList = {
            Action = "APPEND",
                    StoneGateSetPrefix .. "_CIRCULAR_GREY2_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_GREY2_ROOF_MATERIAL"
                }
            }
    }
})
